# AaveReservesData

## Properties

| Name                         | Type       | Description | Notes |
| ---------------------------- | ---------- | ----------- | ----- |
| **CurrentAtokenBalance**     | **string** |             |       |
| **CurrentBorrowBalance**     | **string** |             |       |
| **PrincipalBorrowBalance**   | **string** |             |       |
| **BorrowRateMode**           | **string** |             |       |
| **BorrowRate**               | **string** |             |       |
| **LiquidityRate**            | **string** |             |       |
| **OriginationFee**           | **string** |             |       |
| **VariableBorrowIndex**      | **string** |             |       |
| **LastUpdateTimestamp**      | **string** |             |       |
| **UsageAsCollateralEnabled** | **string** |             |       |

## Methods

### NewAaveReservesData

`func NewAaveReservesData(currentAtokenBalance string, currentBorrowBalance string, principalBorrowBalance string, borrowRateMode string, borrowRate string, liquidityRate string, originationFee string, variableBorrowIndex string, lastUpdateTimestamp string, usageAsCollateralEnabled string, ) *AaveReservesData`

NewAaveReservesData instantiates a new AaveReservesData object This constructor will assign default values to properties that have it defined, and makes sure properties required by API are set, but the set of arguments will change when the set of required properties is changed

### NewAaveReservesDataWithDefaults

`func NewAaveReservesDataWithDefaults() *AaveReservesData`

NewAaveReservesDataWithDefaults instantiates a new AaveReservesData object This constructor will only assign default values to properties that have it defined, but it doesn't guarantee that properties required by API are set

### GetCurrentAtokenBalance

`func (o *AaveReservesData) GetCurrentAtokenBalance() string`

GetCurrentAtokenBalance returns the CurrentAtokenBalance field if non-nil, zero value otherwise.

### GetCurrentAtokenBalanceOk

`func (o *AaveReservesData) GetCurrentAtokenBalanceOk() (*string, bool)`

GetCurrentAtokenBalanceOk returns a tuple with the CurrentAtokenBalance field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetCurrentAtokenBalance

`func (o *AaveReservesData) SetCurrentAtokenBalance(v string)`

SetCurrentAtokenBalance sets CurrentAtokenBalance field to given value.

### GetCurrentBorrowBalance

`func (o *AaveReservesData) GetCurrentBorrowBalance() string`

GetCurrentBorrowBalance returns the CurrentBorrowBalance field if non-nil, zero value otherwise.

### GetCurrentBorrowBalanceOk

`func (o *AaveReservesData) GetCurrentBorrowBalanceOk() (*string, bool)`

GetCurrentBorrowBalanceOk returns a tuple with the CurrentBorrowBalance field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetCurrentBorrowBalance

`func (o *AaveReservesData) SetCurrentBorrowBalance(v string)`

SetCurrentBorrowBalance sets CurrentBorrowBalance field to given value.

### GetPrincipalBorrowBalance

`func (o *AaveReservesData) GetPrincipalBorrowBalance() string`

GetPrincipalBorrowBalance returns the PrincipalBorrowBalance field if non-nil, zero value otherwise.

### GetPrincipalBorrowBalanceOk

`func (o *AaveReservesData) GetPrincipalBorrowBalanceOk() (*string, bool)`

GetPrincipalBorrowBalanceOk returns a tuple with the PrincipalBorrowBalance field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetPrincipalBorrowBalance

`func (o *AaveReservesData) SetPrincipalBorrowBalance(v string)`

SetPrincipalBorrowBalance sets PrincipalBorrowBalance field to given value.

### GetBorrowRateMode

`func (o *AaveReservesData) GetBorrowRateMode() string`

GetBorrowRateMode returns the BorrowRateMode field if non-nil, zero value otherwise.

### GetBorrowRateModeOk

`func (o *AaveReservesData) GetBorrowRateModeOk() (*string, bool)`

GetBorrowRateModeOk returns a tuple with the BorrowRateMode field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetBorrowRateMode

`func (o *AaveReservesData) SetBorrowRateMode(v string)`

SetBorrowRateMode sets BorrowRateMode field to given value.

### GetBorrowRate

`func (o *AaveReservesData) GetBorrowRate() string`

GetBorrowRate returns the BorrowRate field if non-nil, zero value otherwise.

### GetBorrowRateOk

`func (o *AaveReservesData) GetBorrowRateOk() (*string, bool)`

GetBorrowRateOk returns a tuple with the BorrowRate field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetBorrowRate

`func (o *AaveReservesData) SetBorrowRate(v string)`

SetBorrowRate sets BorrowRate field to given value.

### GetLiquidityRate

`func (o *AaveReservesData) GetLiquidityRate() string`

GetLiquidityRate returns the LiquidityRate field if non-nil, zero value otherwise.

### GetLiquidityRateOk

`func (o *AaveReservesData) GetLiquidityRateOk() (*string, bool)`

GetLiquidityRateOk returns a tuple with the LiquidityRate field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetLiquidityRate

`func (o *AaveReservesData) SetLiquidityRate(v string)`

SetLiquidityRate sets LiquidityRate field to given value.

### GetOriginationFee

`func (o *AaveReservesData) GetOriginationFee() string`

GetOriginationFee returns the OriginationFee field if non-nil, zero value otherwise.

### GetOriginationFeeOk

`func (o *AaveReservesData) GetOriginationFeeOk() (*string, bool)`

GetOriginationFeeOk returns a tuple with the OriginationFee field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetOriginationFee

`func (o *AaveReservesData) SetOriginationFee(v string)`

SetOriginationFee sets OriginationFee field to given value.

### GetVariableBorrowIndex

`func (o *AaveReservesData) GetVariableBorrowIndex() string`

GetVariableBorrowIndex returns the VariableBorrowIndex field if non-nil, zero value otherwise.

### GetVariableBorrowIndexOk

`func (o *AaveReservesData) GetVariableBorrowIndexOk() (*string, bool)`

GetVariableBorrowIndexOk returns a tuple with the VariableBorrowIndex field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetVariableBorrowIndex

`func (o *AaveReservesData) SetVariableBorrowIndex(v string)`

SetVariableBorrowIndex sets VariableBorrowIndex field to given value.

### GetLastUpdateTimestamp

`func (o *AaveReservesData) GetLastUpdateTimestamp() string`

GetLastUpdateTimestamp returns the LastUpdateTimestamp field if non-nil, zero value otherwise.

### GetLastUpdateTimestampOk

`func (o *AaveReservesData) GetLastUpdateTimestampOk() (*string, bool)`

GetLastUpdateTimestampOk returns a tuple with the LastUpdateTimestamp field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetLastUpdateTimestamp

`func (o *AaveReservesData) SetLastUpdateTimestamp(v string)`

SetLastUpdateTimestamp sets LastUpdateTimestamp field to given value.

### GetUsageAsCollateralEnabled

`func (o *AaveReservesData) GetUsageAsCollateralEnabled() string`

GetUsageAsCollateralEnabled returns the UsageAsCollateralEnabled field if non-nil, zero value otherwise.

### GetUsageAsCollateralEnabledOk

`func (o *AaveReservesData) GetUsageAsCollateralEnabledOk() (*string, bool)`

GetUsageAsCollateralEnabledOk returns a tuple with the UsageAsCollateralEnabled field if it's non-nil, zero value otherwise and a boolean to check if the value has been set.

### SetUsageAsCollateralEnabled

`func (o *AaveReservesData) SetUsageAsCollateralEnabled(v string)`

SetUsageAsCollateralEnabled sets UsageAsCollateralEnabled field to given value.

\[Back to Model list] \[Back to API list] \[Back to README]


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/golang/aavereservesdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
